%global momorel 2

Summary: Audio time-stretching and pitch-shifting library
Name: rubberband
Version: 1.3
Release: %{momorel}m%{?dist}
License: GPLv2+
URL: http://breakfastquay.com/rubberband/
Group: System Environment/Libraries
Source0: http://breakfastquay.com/rubberband/files/%{name}-%{version}.tar.bz2
NoSource: 0
Patch0: %{name}-1.2-mk.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: ladspa
Requires: liblrdf
Requires: vamp-plugin-sdk
BuildRequires: fftw-devel
BuildRequires: ladspa-devel
BuildRequires: liblrdf-devel
BuildRequires: libsamplerate-devel
BuildRequires: libsndfile-devel
BuildRequires: pkgconfig
BuildRequires: vamp-plugin-sdk-devel

%description
Rubber Band is a library and utility program that permits you to change the
tempo and pitch of an audio recording independently of one another. 

%package devel
Summary: Header files and static libraries from rubberband
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
Libraries and includes files for developing programs based on rubberband.

%prep
%setup -q

%patch0 -p1 -b .fix-build

%build
%configure
%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

# get rid of *.la files
#rm -f %{buildroot}%{_libdir}/lib*.la

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%doc README
%{_bindir}/%{name}
%{_libdir}/ladspa/ladspa-%{name}.cat
%{_libdir}/ladspa/ladspa-%{name}.so
%{_libdir}/vamp/vamp-%{name}.cat
%{_libdir}/vamp/vamp-%{name}.so
%{_libdir}/lib%{name}.so.*
%{_datadir}/ladspa/rdf/ladspa-rubberband.rdf

%files devel
%defattr(-,root,root)
%{_includedir}/%{name}
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/lib%{name}.a
%{_libdir}/lib%{name}.so

%changelog
* Sun Jun 14 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.3-2m)
- fix build on x86_64 (import mk.patch from Fedora)

* Sun Jun 14 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.3-1m)
- initial package for qtractor-0.4.2
